package gui;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;


@SuppressWarnings("serial")
class FloorPanels extends JPanel {
	private int nbFloors;
	private JPanel[] floors;

	public FloorPanels(int nbFloors) {
		this.nbFloors = nbFloors;
		floors = new JPanel[nbFloors];
		this.setLayout(new BoxLayout(this, BoxLayout.PAGE_AXIS));
		this.add(new JLabel("Call."));
		for (int i = 0; i < nbFloors; i++) {
			floors[i] = new JPanel();
			floors[i].setLayout(new BoxLayout(floors[i], BoxLayout.LINE_AXIS));
			floors[i].add(new JLabel("" + (i + 1)));
			floors[i].add(new JButton("↑"));
			floors[i].add(new JButton("↓"));
			this.add(floors[i]);
		}
	}
}
